#include "Driver_GPIO.h"
#include "MyTimer.h"
#include "MyADC.h"
#include "stm32f10x.h"


int main ( void ) {
	int res = 0;
	MyGPIO_Struct_TypeDef GPIO_Struct;
	
	// Configuration de la broche PB.0
	GPIO_Struct.GPIO = GPIOB;
	GPIO_Struct.GPIO_Pin = 0;
	GPIO_Struct.GPIO_Conf = In_Analog;
	MyGPIO_Init(&GPIO_Struct);
	
	MyADC_Init(8);
   
	while (1)
	{
		res = convert_single(); // conversion
	}
}
